Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6352 - smbfs corrupts mount point
Summary: smbfs corrupts mount point
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-25 21:57 UTC by das_deniz
Modified: 2007-04-18 16:24 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-27 16:02:20 UTC


Attachments (Terms of Use)

Description das_deniz 1999-10-25 21:57:07 UTC
wierd - but has happend twice in a week - here goes:

do not have samba installed but am using smbfs
to mount a winNT HPFS volume. works fine until
it doesn't.

last time it failed the mount point would spit
up in the df output - it failed while mounted.

this time it failed while mounting so the df
output is clean but the directory listing for
the mount point is corrupted as before.

[root@ba /root]# cat /usr/local/bin/smbmount-maim
smbmount "//maim/ten" /maim -U guest

[root@ba /root]# smbmount-maim
Added interface ip=192.168.0.10 bcast=192.168.0.255
nmask=255.255.255.0
Password:
session setup failed: ERRDOS - ERRnoaccess (Access denied.)
smbmount: login failed
Could not umount /maim: Device or resource busy
smbmount: exit

[root@ba /root]# smbmount-maim
Added interface ip=192.168.0.10 bcast=192.168.0.255
nmask=255.255.255.0
Could not resolve mount point /maim

[root@ba /root]# ls /maim
ls: /maim: Input/output error

can't unload the smbfs module - reports busy - any cleanup
hints - other than rebooting - i can still mount the
NT volume to another mount point so don't have to reboot
yet - like i said weird.

-
das

Comment 1 Bill Nottingham 1999-10-25 23:05:59 UTC
Do a umount /maim.

If smbmount fails, it can leave a stale 'mount' on
the mount point.

Comment 2 das_deniz 1999-10-26 12:49:59 UTC
I swear i thought i tried that and it would tell me it's not in the
mtab -- maybe that was 6.0? or maybe this solution failed when it
was corrupted after the mount succedded?

anyway for this specific failure - smbmount fails and mount
point won't ls properly afterwards - this is the fix.

thank you (RedHat's BUGZILLA rules!)

-
das

Comment 3 Manuel S. 2004-07-01 19:23:20 UTC
I am getting this in fedora core 2. I mount a smbfs drive OR NFS 
drive and it will corrupt the mount point with an input/output 
error.. It also locks up the terminal session as well.. I get the 
same with mounting using smbmount... And umount'ing does nothing.. 
Any suggestions...


Note You need to log in before you can comment on or make changes to this bug.